;*************************************************************************
;*                                                                       *
;* NAME     :        Y-ALDIM.LSP                                         *
;*                                                                       *
;* FUNCTION :        ALLOWS GROUPS OF DIMENSIONS TO BE ALIGNED ALONG A   *
;*                   COMMON "Y" AXIS.                                    *
;*                                                                       *
;* WRITTEN  :        D. RENNIE  ACER ENGINEERING  (SCOTLAND)             *
;*                   JANUARY 1992                                        *
;*                                                                       *
;*************************************************************************
(DEFUN C:Y-ALDIM ()
 (SETQ CMD (GETVAR "CMDECHO"))
 (SETVAR "CMDECHO" 0)
 (COMMAND "UCS" "W")
 (SETVAR "CMDECHO" 1)
 (PROMPT"\nSelect dimension(s) to be aligned")
 (SETQ SET (SSGET))
 (PROMPT"\nSelect new dimension position")
 (SETQ P1 (GETPOINT))
 (SETQ Y3 (CADR P1))
 (SETQ QUANT (SSLENGTH SET))
 (SETQ INDEX 0)
  (WHILE (< INDEX QUANT)
   (IF (AND(= "DIMENSION" (CDR (ASSOC 0 (SETQ A (ENTGET (SSNAME SET INDEX))))))
       )
    (PROGN
     (SETQ L10 (ASSOC 10 A))
     (SETQ M10 (CDR L10))
     (SETQ P10 (LIST 10 (CAR M10) Y3 (CADDR M10)))
     (SETQ A (SUBST P10 L10 A))
     (ENTMOD A)			
    )
   )
  (SETQ INDEX (+ INDEX 1))
 )
 (SETVAR "CMDECHO" 0)
 (COMMAND "UCS" "P")
 (SETVAR "CMDECHO" CMD)
)
